Subject: LTK1212105010538X
From: Saurabh Dadu <[email-masked]>
To: Deeksha Dadu <[email-masked]>, Ibrahim Usmani <[email-masked]>, Seraj Ahmad <[email-masked]>, "Kaeiara Blythe R. Delfino" <[email-masked]>, Gelna Genusolango G <[email-masked]>, "Juniel P. Tumiampos" <[email-masked]>, Karla Cabarse <[email-masked]>, Jorge Kho <[email-masked]>, "Joelma Mary Christine O. Batayola" <[email-masked]>, vikas Adhikari <[email-masked]>, Parag Chaturvedi <[email-masked]>, Akhil P Walia <[email-masked]>, Subhash Kumar <[email-masked]>, Subir Chakma <[email-masked]>, "Surya Prakash. Tiwari" <
Date: Mon, 18 Mar 2013 12:46:48 +0530 (IST)

Customer's shipment has been stuck in customs for almost 2 weeks now. I don't see any record of anyone trying to call up customer services at all. 

All I see is notes which just say waiting update from DHL. I am very certain that no one tried to contact DHL on phone. 

Subir and Parag, explain this.